%define pkgname %(echo %name | cut -d- -f2- | tr - _)

Name:          python-timelib
Version:       0.3.0
Release:       2mamba
Summary:       Parse english textual date descriptions
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/timelib/
Source:        https://pypi.debian.net/timelib/timelib-%{version}.tar.gz
License:       zlib/libpng
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n timelib-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*

%changelog
* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 0.3.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Apr 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic version update by autodist

* Wed May 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-1mamba
- package created by silvan using the webbuild interface
